Bug 617232 - (CVE-2010-1917, MOPS-2010-021) CVE-2010-1917 php: fnmatch long pattern stack memory exhaustion (MOPS-2010-021)
CVE-2010-1917 php: fnmatch long pattern stack memory exhaustion (MOPS-2010-021)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,cvss2=2.6/AV:N/AC:H/Au:N/C...
: Security
Depends On: 624469 626733 626734 626735 626736 626740
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 10:47 EDT by Jan Lieskovsky
Modified: 2015-10-15 17:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Public MOPS-2010-021 reproducer (70 bytes, text/plain)
2010-07-22 10:52 EDT, Jan Lieskovsky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0919 normal SHIPPED_LIVE Moderate: php security update 2010-11-29 16:33:48 EST

  None (edit)
Description Jan Lieskovsky 2010-07-22 10:47:52 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1917 to
the following vulnerability:

Stack consumption vulnerability in PHP 5.2 through 5.2.13 and 5.3 through
5.3.2 allows context-dependent attackers to cause a denial of service
(PHP crash) via a crafted first argument to the fnmatch function, as
demonstrated using a long string.

References:
  [1] http://www.php-security.org/2010/05/11/mops-2010-021-php-fnmatch-stack-exhaustion-vulnerability/index.html
  [2] http://xforce.iss.net/xforce/xfdb/58585
Comment 1 Jan Lieskovsky 2010-07-22 10:52:45 EDT
Created attachment 433721 [details]
Public MOPS-2010-021 reproducer
Comment 4 Jan Lieskovsky 2010-07-22 11:02:05 EDT
This issue affects the versions of the php package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the php package, as shipped
with Fedora release of 12 and 13.
Comment 6 Tomas Hoger 2010-07-25 16:49:30 EDT
Upstream patch:
  http://svn.php.net/viewvc?view=revision&revision=298881

This flaw is similar to CVE-2007-4782 (see bug #285881), which covered similar problem for string rather than pattern fnmatch() argument.  Matching pattern is less likely to by exposed to untrusted inputs than string to match pattern against.

As with the previous CVE, this is not really a PHP flaw, rather a PHP-exposed glibc unsafe alloca() use.  PHP fix adds additional input argument size limits which works around this bug.
Comment 9 errata-xmlrpc 2010-11-29 16:34:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0919 https://rhn.redhat.com/errata/RHSA-2010-0919.html
Comment 10 Vincent Danen 2010-11-29 17:36:40 EST
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 3 due to this product being in Production 3 of its maintenance life-cycle, where only qualified security errata of important and critical impact are addressed.

For further information about the Errata Support Policy, visit:
http://www.redhat.com/security/updates/errata

Note You need to log in before you can comment on or make changes to this bug.